package com.xintong;

import org.apache.ibatis.logging.LogFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;

import com.alibaba.fastjson.parser.ParserConfig;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@ServletComponentScan
@EnableAsync
public class VideocheckApplication {
//	@Bean
//	@ConfigurationProperties(prefix="spring.datasource")
//	public DataSource druidDataSource() {
//		return new DruidDataSource();
//	}
//


	public static void main(String[] args) {
		ParserConfig.getGlobalInstance().addAccept("com.xintong.");
		ParserConfig.getGlobalInstance().addAccept("org.springframework.security.core.");

		LogFactory.useLog4JLogging();
        SpringApplication.run(VideocheckApplication.class, args);
	}
}
